LTP Sports

API Reference · v1

Brands

GET/Catalog/Brands

List all brands

Returns the brands the authenticated dealer is entitled to (per dealer_allowed_brands) and that have at least one product available to them, mirroring the filtering applied to /Products and /Categories. Pass showCanBuyFalse=true to also list the visible brands the dealer cannot buy.

Parameters

NameInTypeRequiredDescription
languageheaderstring | nullOptional(default: en)

Request

GET/Catalog/Brands
GET https://api.ltpdealer.com/v1/Catalog/Brands
Authorization: ApiKey <prefix>.<secret>
language: en

Response

200Successful Response
{
  "brands": [
    {
      "description": "",
      "id": "49N",
      "name": "49N",
      "url": ""
    },
    {
      "description": "",
      "id": "ABUS",
      "name": "ABUS AUGUST BREMICKER",
      "url": ""
    },
    {
      "description": "",
      "id": "AVID",
      "name": "AVID",
      "url": ""
    },
    {
      "description": "",
      "id": "BAFANG",
      "name": "BAFANG",
      "url": ""
    }
  ]
}
FieldTypeDescription
brandsarray<BrandItem>
422Validation Error
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "Message",
      "type": "Error Type"
    }
  ]
}
FieldTypeDescription
detailarray<ValidationError>

Code Examples

curl -X GET "https://api.ltpdealer.com/v1/Catalog/Brands" \
  -H "Authorization: ApiKey <prefix>.<secret>" \
  -H "language: en"